%global commit 72e5518caf5ac7de587f46af0be38120ba9ca493
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           piglit
Version:        1.0.20151124
Release:        1.git%{shortcommit}%{?dist}
Summary:        Collection of automated tests for OpenGL implementations

Group:          Development/Tools
License:        MIT and GPLv2+ and GPLv3 and LGPLv2
URL:            http://cgit.freedesktop.org/piglit/
# make archive
Source0:        %{name}-%{commit}.tar.xz

BuildRequires:  python numpy python-mako python-nose python-six python-lxml
BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  chrpath
BuildRequires:  pkgconfig(dri), pkgconfig(gl)
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(egl)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  waffle-devel
BuildRequires:  libtiff-devel
BuildRequires:  libXrender-devel
BuildRequires:  ocl-icd-devel opencl-headers
Requires:       python-mako >= 0.7.3
Requires:       /usr/bin/clinfo

%description
Piglit is a collection of automated tests for OpenGL implementations.

The goal of Piglit is to help improve the quality of open source
OpenGL drivers by providing developers with a simple means to
perform regression tests.

%prep
%autosetup -n %{name}-%{commit}

rm -rf build
mkdir build

%build
pushd build
  %cmake ../ \
    -DCMAKE_BUILD_TYPE:STRING=Debug \
    -DCMAKE_INSTALL_LIBDIR:PATH=%{_lib} \
    -DPIGLIT_BUILD_CL_TESTS=1
  make VERBOSE=1 %{?_smp_mflags}
popd

%install
pushd build
  %make_install
popd

# We don't want this in its own doc directory.
rm -rf %{buildroot}%{_defaultdocdir}/%{name}

%files
%license COPYING licences/*
%doc README HACKING RELEASE examples
%{_bindir}/%{name}
%{_libdir}/%{name}/

%changelog
* Tue Nov 24 2015 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 1.0.20151124-1.git72e5518
- 72e5518
- Enable OpenCL

* Sun Nov 22 2015 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 1.0.20151122-1.gitd095ba0
- d095ba0

* Mon Sep 14 2015 Matěj Cepl <mcepl@redhat.com> - 1.0.20150914-1
- The latest checkout from the upstream.

* Thu Jul 30 2015 Matej Cepl <mcepl@redhat.com> - 1-0.26.20150730GITd2e8b17
- Upgrade to the latest git checkout.

* Thu Jul 30 2015 Matej Cepl <mcepl@redhat.com> - 1-0.25.20150206GITi9c8b329
- Add python-mako Requires (RHBZ# 1247936)

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1-0.24.20150206GITi9c8b329
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1-0.23.20150206GITi9c8b329
- Rebuilt for GCC 5 C++11 ABI change

* Fri Feb 06 2015 Matej Cepl <mcepl@redhat.com> - 1-0.22.20150206GITi9c8b329
- Upgrade to the latest git checkout.

* Tue Jan 6 2015 Matěj Cepl <mcepl@redhat.com> - 1-0.21.20150103GIT4adb082
- Upgrade to the latest upstream release. (RHBZ# 1177151)

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1-0.20.20140414GIT8775223
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Wed Jun 11 2014 Matěj Cepl <mcepl@redhat.com> - 1-0.19.20140414GIT8775223
- Add ExcludeArch for EPEL-6 and ppc64 properly (RHBZ# 1093720)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1-0.18.20140414GIT8775223
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon May 19 2014 Matěj Cepl <mcepl@redhat.com> - 1-0.17.20140414GIT8775223
- Except I have created condition incorrectly.

* Fri May 16 2014 Matěj Cepl <mcepl@redhat.com> - 1-0.16.20140414GIT8775223
- importlib is since python 2.7 in the standard library, no need to
  import it.

* Thu May 15 2014 Matěj Cepl <mcepl@redhat.com> - 1-0.15.20140414GIT8775223
- Put ExcludeArch back for ppc64.
- Add python-importlib Require

* Tue Apr 15 2014 Matěj Cepl <mcepl@redhat.com> - 1-0.14.20140414GIT8775223
- Remove ExcludeArch

* Mon Apr 14 2014 Matěj Cepl <mcepl@redhat.com> - 1-0.13.20140414GIT8775223
- New upstream checkout (our patches were upstreamed)

* Thu Mar 20 2014 Matěj Cepl <mcepl@redhat.com> - 1-0.13.20140320GITb561c3c
- New upstream checkout.

* Wed Oct 23 2013 Matěj Cepl <mcepl@redhat.com> - 1-0.13.20131023GITe2db751
- New upstream checkout.

* Sat Aug 24 2013 Matěj Cepl <mcepl@redhat.com> - 1-0.13.20130824GITbccdf6f
- New upstream checkout.

* Fri Jan 13 2012 Matěj Cepl <mcepl@redhat.com> 1-0.12.git20120110Rf26fbd0
- more cleanup to (almost) satisfy formal review.

* Fri Jan 13 2012 Matěj Cepl <mcepl@redhat.com> 1-0.11.git20120110Rf26fbd0
- New patch from http://article.gmane.org/gmane.comp.video.piglit/98/
- Actually really use %%cmake macro

* Thu Jan 12 2012 Matěj Cepl <mcepl@redhat.com> 1-0.10.git20120110Rf26fbd0
- add -DBUILD_SHARED_LIBS:BOOL=OFF to the cmake call to workaround FTBFS
- remove unnecessary executable bits and shebangs

* Tue Jan 10 2012 Matěj Cepl <mcepl@redhat.com> 1-0.9.git20120110Rf26fbd0
- New upstream checkout, preparing for the Fedora submission.

* Mon Dec 19 2011 Matěj Cepl <mcepl@redhat.com> 1-0.8.git20111219R8749563
- Upgrade to the latest upstream checkout

* Tue Nov 29 2011 Matěj Cepl <mcepl@redhat.com> - 1-0.8.git20111129R6a241f7
- Upgrade to the latest upstream checkout

* Mon Nov 28 2011 Matěj Cepl <mcepl@redhat.com> - 1-0.7.git20111107R228aaeb
- Exclude archs, add libXrender-devel as a build requirement.

* Tue Oct 18 2011 'Matěj Cepl <mcepl@redhat.com>' - 1-0.6.git20111018R5078a37
- New upstream checkout
- Copy also piglit*.py files to libdir. *PALMFACE*

* Mon Oct 17 2011 'Matěj Cepl <mcepl@redhat.com>' - 1-0.5.git20111017reaa3617a
- New upstream checkout.

* Mon Oct 17 2011 Matěj Cepl <mcepl@redhat.com> - 1-0.5.git20111017reaa3617a
- Update to the latest upstream checkout.

* Sat Oct 08 2011 Matěj Cepl <mcepl@redhat.com> - 1-0.4.git20111007r7fe681a0
- First package.


# vi:sw=4 ts=8 et
